Bug 444296 - system-config-network-cmd crashes if no vendor data available
system-config-network-cmd crashes if no vendor data available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 14:46 EDT by Christian Krause
Modified: 2009-07-14 13:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
full backtrace (2.51 KB, text/plain)
2008-04-26 14:46 EDT, Christian Krause
no flags Details
another s-c-n crash dump (2.59 KB, text/plain)
2008-08-25 15:52 EDT, Ken Tanzer
no flags Details

  None (edit)
Description Christian Krause 2008-04-26 14:46:33 EDT
how to reproduce:
running "system-config-network-cmd" on a Xen installation of Rawhide

current behavior:
crahses with a backtrace:

An unhandled exception has occured.  This is most likely a bug.
Please file a detailed bug report against the component system-config-network at 
https://bugzilla.redhat.com/bugzilla
using the text below.
Component: system-config-network
Version: 1.5.6

(full backtrace see attachment)

expected behavior:
device list should be shown

problem:
the root cause of the problem is locate in 
/usr/share/system-config-network/netconfpkg/NCBackendHal.py
function getVendor

if no vendor information can be found in one of the parents of the hal object,
the function just returns without any return parameters, but the caller expects
a pair of strings

quick fix:
let the function return some default data as fallback, like:
        return "n/a", "n/a"
Comment 1 Christian Krause 2008-04-26 14:46:33 EDT
Created attachment 303856 [details]
full backtrace
Comment 2 Bug Zapper 2008-05-14 06:13:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ken Tanzer 2008-08-25 15:52:49 EDT
Created attachment 314945 [details]
another s-c-n crash dump

I'm having what I think is the same problem, running F9 in a DomU.  If I'm understanding this issue right, then s-c-n currently won't work as a xen guest.  Is that correct?  Thanks.
Comment 4 Bug Zapper 2009-06-09 20:27:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:58:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.